aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin <jlec@gentoo.org>2015-01-11 20:21:28 +0100
committerJustin <jlec@gentoo.org>2015-01-11 20:21:28 +0100
commit2f01524e628122a245c39c6fd913f5b2b79b9934 (patch)
tree6f377c4da3e9de9d9a0666112c878ea550135f9a
parentMerge pull request #331 from marbre/htcondor (diff)
parentsci-libs/matio: Further fixes (diff)
downloadsci-2f01524e628122a245c39c6fd913f5b2b79b9934.tar.gz
sci-2f01524e628122a245c39c6fd913f5b2b79b9934.tar.bz2
sci-2f01524e628122a245c39c6fd913f5b2b79b9934.zip
Merge pull request #330 from marbre/matio
Bring back (revised) matio ebuild
-rw-r--r--sci-libs/matio/ChangeLog43
-rw-r--r--sci-libs/matio/Manifest1
-rw-r--r--sci-libs/matio/files/matio-1.3.4-autotools.patch29
-rw-r--r--sci-libs/matio/matio-1.3.4.ebuild43
-rw-r--r--sci-libs/matio/metadata.xml9
5 files changed, 125 insertions, 0 deletions
diff --git a/sci-libs/matio/ChangeLog b/sci-libs/matio/ChangeLog
new file mode 100644
index 000000000..bed9be26c
--- /dev/null
+++ b/sci-libs/matio/ChangeLog
@@ -0,0 +1,43 @@
+# ChangeLog for sci-libs/matio
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 11 Jan 2015; Marius Brehler <marbre@linux.sungazer.de> matio-1.3.4.ebuild:
+ Move to EAPI=5, cleanup the ebuild
+
+
+ 21 Jun 2011; Justin Lecher <jlec@gentoo.org> matio-1.3.4.ebuild:
+ Added fortran-2.eclass support
+
+*matio-1.3.4 (10 Aug 2010)
+
+ 10 Aug 2010; S├ębastien Fabbro <bicatali@gentoo.org> -matio-1.3.3.ebuild,
+ -files/matio-1.3.3-makefile.patch, +matio-1.3.4.ebuild,
+ +files/matio-1.3.4-autotools.patch:
+ Version bump. Ebuild modernisation. Disabling doc generation (bug #330237)
+
+*matio-1.3.3 (22 Jan 2009)
+
+ 22 Jan 2009; S├ębastien Fabbro <bicatali@gentoo.org>
+ +sci-libs/matio/files/matio-1.3.3-makefile.patch,
+ sci-astronomy/scamp/metadata.xml, sci-libs/matio/metadata.xml,
+ sci-mathematics/gap/metadata.xml:
+ Version bump
+
+*matio-1.3.1 (20 Sep 2006)
+
+ 20 Sep 2006; Andrey Grozin <A.G.Grozin@inp.nsk.su>
+ +matio-1.3.1.ebuild, -matio-1.3.0.ebuild, -files/matio-1.1.4.patch:
+ version bump, now at sourceforge
+
+*matio-1.3.0 (28 August 2006)
+
+ 28 August 2006; Andrey Grozin <A.G.Grozin@inp.nsk.su>
+ +matio-1.3.0.ebuild, -matio-1.1.4.ebuild:
+ version bump
+
+*matio-1.1.4 (16 June 2006)
+
+ 16 June 2006; Andrey Grozin <A.G.Grozin@inp.nsk.su>
+ +metadata.xml, +matio-1.1.4.ebuild, +files/matio-1.1.4.patch:
+ Initial import.
diff --git a/sci-libs/matio/Manifest b/sci-libs/matio/Manifest
new file mode 100644
index 000000000..7e3a6e6dd
--- /dev/null
+++ b/sci-libs/matio/Manifest
@@ -0,0 +1 @@
+DIST matio-1.3.4.tar.gz 450343 SHA256 7261880b18a661e5d206b4e479d4334b47549f093130df42f7204fd05dfe0bc5
diff --git a/sci-libs/matio/files/matio-1.3.4-autotools.patch b/sci-libs/matio/files/matio-1.3.4-autotools.patch
new file mode 100644
index 000000000..c9e6a0412
--- /dev/null
+++ b/sci-libs/matio/files/matio-1.3.4-autotools.patch
@@ -0,0 +1,29 @@
+--- configure.ac.orig 2010-08-10 20:36:52.000000000 +0100
++++ configure.ac 2010-08-10 20:39:03.000000000 +0100
+@@ -5,7 +5,7 @@
+ AC_INIT([MATIO],[1.3.4],[cch@isl-inc.com],[])
+ AC_CONFIG_SRCDIR([src/matio.h])
+ AC_CONFIG_AUX_DIR(config)
+-AC_CONFIG_MACRO_DIR([m4])
++
+ dnl AM_INIT_AUTOMAKE([-no-undefined])
+ AM_INIT_AUTOMAKE
+ AM_MAINTAINER_MODE
+--- src/Makefile.am.orig 2010-08-10 20:31:41.000000000 +0100
++++ src/Makefile.am 2010-08-10 20:34:44.000000000 +0100
+@@ -17,6 +17,7 @@
+ lib_LTLIBRARIES = libmatio.la
+ libmatio_la_SOURCES = snprintf.c endian.c io.c $(ZLIB_SRC) read_data.c \
+ mat5.c mat4.c mat.c
++libmatio_la_LIBADD = $(ZLIB_LIBS)
+
+ if ENABLE_FORTRAN
+ AM_FCFLAGS = -I. -I$(top_builddir)/src/fortran
+@@ -25,6 +26,7 @@
+ noinst_HEADERS += fortran/create.f90 fortran/read_data.f90 \
+ fortran/write_data.f90 fortran/write.f90
+ libmatio_la_SOURCES += fortran/matio_internal.c fortran/matio.f90
++$(top_builddir)/src/matio.mod: libmatio.la
+ endif
+
+ dosubst = sed -e 's,[@]PACKAGE[@],$(PACKAGE),g' \
diff --git a/sci-libs/matio/matio-1.3.4.ebuild b/sci-libs/matio/matio-1.3.4.ebuild
new file mode 100644
index 000000000..8d2b050d5
--- /dev/null
+++ b/sci-libs/matio/matio-1.3.4.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=1
+inherit autotools-utils eutils fortran-2
+
+DESCRIPTION="Library for reading and writing matlab files"
+HOMEPAGE="http://sourceforge.net/projects/matio/"
+SLOT="0"
+LICENSE="LGPL-2.1"
+KEYWORDS="~amd64 ~x86"
+# disabling (until fix) doxygen doc generation
+IUSE="examples fortran static-libs"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+#DEPEND="doc? ( app-doc/doxygen virtual/latex-base )"
+RDEPEND=""
+
+PATCHES=( "${FILESDIR}/${P}"-autotools.patch )
+
+src_configure() {
+ local myeconfargs=(
+ --disable-test
+ #$(use_enable doc docs)
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+ #if use doc; then
+ # insinto /usr/share/doc/${PF}
+ # doins -r doxygen/html || die
+ #fi
+ if use examples; then
+ insinto /usr/share/doc/${PF}/examples
+ doins test/test*
+ insinto /usr/share/${PN}
+ doins share/test*
+ fi
+}
diff --git a/sci-libs/matio/metadata.xml b/sci-libs/matio/metadata.xml
new file mode 100644
index 000000000..7e65648fd
--- /dev/null
+++ b/sci-libs/matio/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang="en">
+ matio is an ISO C library (with a limited Fortran 90 interface) for
+ reading and writing Matlab MAT files.
+</longdescription>
+</pkgmetadata>